Page MenuHomePhabricator

Diffs should link to properties
Closed, ResolvedPublic

Description

Currently, diffs display "property / [property label]" as the section for main claims, and "property / [property label]: [value] / qualifier" as the section for qualifiers, with "[property label]: [value]" as the qualifier content. In all of these the property label is unlinked. Linking the labels to the property pages would make understanding changes and navigating somewhat easier.

Details

Related Gerrit Patches:
mediawiki/extensions/Wikibase : masterLink to property pages in statement diffs

Event Timeline

Yair_rand raised the priority of this task from to Needs Triage.
Yair_rand updated the task description. (Show Details)
Yair_rand added a project: Wikidata.
Yair_rand added a subscriber: Yair_rand.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 9 2015, 10:36 PM

Applying language fallback as well.

Ricordisamoa added a subscriber: Ricordisamoa.

Change 233110 had a related patch set uploaded (by Ricordisamoa):
Link to property pages in statement diffs

https://gerrit.wikimedia.org/r/233110

Ricordisamoa added a comment.EditedAug 23 2015, 1:09 PM
beforeafter

(the <b>s are actually in the property's label, to ensure HTML is properly escaped)

Change 233110 merged by jenkins-bot:
Link to property pages in statement diffs

https://gerrit.wikimedia.org/r/233110

Ricordisamoa closed this task as Resolved.Aug 26 2015, 9:08 AM
Ricordisamoa removed a project: Patch-For-Review.
Ricordisamoa removed a subscriber: gerritbot.

Applying language fallback as well.

https://gerrit.wikimedia.org/r/236942 should work.